org.apache.ignite.compute.gridify

## Interface GridifyInterceptor

    public interface GridifyInterceptor

This interface defines an interceptor apply for `Gridify` annotation. Interceptor gets called in advise code to decide whether or not to grid-enable this method.

Interceptors can be used to provide fine-grain control on `Gridify` annotation behavior. For example, an interceptor can be implemented to grid enable the method only if CPU on the local node has been above 80% of utilization for the last 5 minutes.

### Method Summary

Methods
`boolean` `isGridify(Annotation gridify, GridifyArgument arg)` This method is called before actual grid-enabling happens.

### Method Detail

#### isGridify

    boolean isGridify(Annotation gridify,
                    GridifyArgument arg)
                      throws IgniteCheckedException

This method is called before actual grid-enabling happens.

Parameters:
  `gridify` - Gridify annotation instance that caused the grid-enabling.
  `arg` - Gridify argument.
Returns:
  `True` if method should be grid-enabled, `false` otherwise.
Throws:
  `IgniteCheckedException` - Thrown in case of any errors.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0
Release Date | : March 31 2015